# class Puppet::Indirector::DirectFileServer

### Public Instance Methods

find(request) click to toggle source

    # File lib/puppet/indirector/direct_file_server.rb, line 8
    def find(request)
      return nil unless FileTest.exists?(request.key)
      instance = model.new(request.key)
      instance.links = request.options[:links] if request.options[:links]
      instance
    end

search(request) click to toggle source

    # File lib/puppet/indirector/direct_file_server.rb, line 15
    def search(request)
      return nil unless FileTest.exists?(request.key)
      path2instances(request, request.key)
    end